Package com.smartgwt.client.types

# Enum AutoComplete

java.lang.Object
java.lang.Enum<AutoComplete>
com.smartgwt.client.types.AutoComplete

All Implemented Interfaces:
  `ValueEnum`, `Serializable`, `Comparable<AutoComplete>`, `Constable`

public enum AutoComplete extends Enum<AutoComplete> implements ValueEnum
AutoComplete behavior for `FormItems`.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `NATIVE`
  Allow native browser autoComplete.
  `NONE`
  Disable browser autoComplete.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getValue()`
  `static AutoComplete`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static AutoComplete[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### NONE

    public static final AutoComplete NONE
    Disable browser autoComplete. Note that some browsers will disregard this setting and still perform native autoComplete for certain items - typically only for log in / password forms. See the discussion `here`.

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "none".

  - ### NATIVE

    public static final AutoComplete NATIVE
    Allow native browser autoComplete.

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "native".

- ## Method Details

  - ### values

    public static AutoComplete[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static AutoComplete valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getValue

    public String getValue()
    Specified by:
      `getValue` in interface `ValueEnum`